device/tensor_compare.h File Reference
`#include <utility>`
`#include "cutlass/cutlass.h"`
`#include "cutlass/relatively_equal.h"`
`#include "cutlass/util/distribution.h"`
`#include "tensor_foreach.h"`
Include dependency graph for device/tensor_compare.h:

Go to the source code of this file.

## Namespaces

| cutlass
| cutlass::reference
| cutlass::reference::device
| cutlass::reference::device::kernel

## Functions

template<typename Element >
__global__ void | cutlass::reference::device::kernel::BlockCompareEqual (int *equal, Element const *ptr_A, Element const *ptr_B, size_t capacity)
template<typename Element >
__global__ void | cutlass::reference::device::kernel::BlockCompareRelativelyEqual (int *equal, Element const *ptr_A, Element const *ptr_B, size_t capacity, Element epsilon, Element nonzero_floor)
template<typename Element >
bool | cutlass::reference::device::BlockCompareEqual (Element const *ptr_A, Element const *ptr_B, size_t capacity, int grid_size=0, int block_size=0)
| Performs a bit-level equality check between two blocks. More...
template<typename Element >
bool | cutlass::reference::device::BlockCompareRelativelyEqual (Element const *ptr_A, Element const *ptr_B, size_t capacity, Element epsilon, Element nonzero_floor, int grid_size=0, int block_size=0)
| Performs a bit-level equality check between two blocks. More...